function [U1] = enhancement( X , lambda, delta_t, c_cont, degre,  ITT, scale)
% ENHANCEMENT : enhance gray-scale images.
%
% u^* = enhancement(u_0, lambda, delta_t, c, degre, ITT, scale)
%
% u^* = \argmin_u \| u - u_0 \| + lambda (C(u) - c C(u_0))^2 + \chi_{[0,1]}(u)
% with C(u) = \sum_{y\in \Omega} \sum_{x\in \Omega} w(x,y) | u(x) - u(y)|
% w(x,y)= gaussian with standard deviation equal to scale.
%
% u_0 : initial image, gray-scale ;
% lambda : fidelity data-term parameter ;
% delta_t : time step ; 
% c_cont : dinamic parameter ; 
% degre : approximation degree ;
% ITT : iteration minimisation ;
% scale : standard deviation of the kernel of the non-local TV.
