clear all, close all, clc

addpath('m_fonction/')
addpath('c_fonction/')

% INPUT AND OUTPUT
inputName = 'iris2.png';
outputName = 'iris_enhanced.png';


% Read image
im_g=imread(inputName);

% Compute intensity
im= mean(double(im_g),3);

% Scale between 0 and 1
U =double(im)/255;

% Parameters
lambda =1;
c = 2;
degre=9;
scale= size(U,1)/50;

delta_t = 0.000001;
nb_iterations=20;

% Projected gradient
I1 = uint8(255*enhancement( U , lambda, delta_t, c, degre,  nb_iterations, scale));

% Display
figure, imshow(uint8(255*U)), title original
figure, imshow(I1), title enhanced

imwrite(I1, outputName);

imwrite(uint8(255*U), 'orig.png');
